const express = require("express");
const router = express.Router();
const LicenseService = require("./license.service");
const liveLicense = require("./live_license.service"); // For live license management
//const authMiddleware = require("../../middlewares/adminAuth"); // For admin protection

router.post("/check", LicenseService.checkLicense);
router.post("/renew", LicenseService.renewLicense);
router.post("/live/renew", liveLicense.renewLicense); // For live license renewal

//router.post("/reset", LicenseService.resetLicense);

module.exports = router;
